#
# spec file for package flexdock
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           flexdock
Version:        1.2.4
Release:        4.1
Summary:        Swing windowing and docking framework
License:        MIT
Group:          Development/Libraries/Java
Url:            http://forge.scilab.org/index.php/p/flexdock/
Source0:        http://forge.scilab.org/index.php/p/flexdock/downloads/get/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE flexdock-nojmf.patch
Patch1:         flexdock-nojmf.patch
# PATCH-FIX-OPENSUSE flexdock-build.patch
Patch2:         flexdock-build.patch

BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jgoodies-looks
BuildRequires:  jpackage-utils
BuildRequires:  skinlf
Requires:       jakarta-commons-logging
Requires:       java
Requires:       jgoodies-looks
Requires:       jpackage-utils
Requires:       skinlf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
FlexDock is a Java docking framework for use in cross-platform Swing
applications. It offers features you'd expect in any desktop docking
framework such as:

* Tabbed and Split Layouts
* Drag-n-Drop capability (native drag rubber band painting on some platforms)
* Floating windows
* Collapsible Containers to Save Real Estate
* Layout Persistence

It is released using the MIT license.

%prep
%setup -q

%patch1 -p1
%patch2 -p1

# fix wrong-file-end-of-line-encoding
sed -i 's/\r$//' README

# remove build in jars
find . -name '*.jar' -type f -delete -print
build-jar-repository -s -p lib skinlf looks

#Override the build file's default hard-coded paths
echo "sdk.home=%{java_home}" > workingcopy.properties

#Remove the jmf-using demo files
rm src/java/demo/org/flexdock/demos/raw/jmf/MediaPanel.java
rm src/java/demo/org/flexdock/demos/raw/jmf/JMFDemo.java

%build
%ant jar

%install
# jars
install -Dm 644 build/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -sf %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%defattr(-,root,root)
%doc LICENSE.txt README release-notes.txt
%{_javadir}/*.jar

%changelog
* Sun Feb  2 2014 badshah400@gmail.com
- Update to version 1.2.4:
  * Remove deferred splitpane validation
- Rebase patches.
- Rename flexdock-nojmf.diff to flexdock-nojmf.patch
* Sat Aug  3 2013 dmitry_r@opensuse.org
- Update to version 1.2.3
  * Avoid useless updateUI at PlafManager initialization
  * Remove warning about the serial version uid missing
  * Avoid to setActive an unregistered dockable.
  * Remove targets build.default & build.with.native which are no
    longer relevant since we removed the native libraries.
  * Default ant target is now "jar"
  * Add method org.flexdock.docking.event.hierarchy.DockingPortTracker.remove()
    to remove objects.
* Sat Dec  1 2012 dmitry_r@opensuse.org
- Update to version 1.2.0
  * Development moved to http://forge.scilab.org/index.php/p/flexdock/
  * Add the possibility to move the focus with keyboard on the different docked
    elements.
  * Fix bug 125: http://java.net/jira/browse/FLEXDOCK-125
    Application minimized to tray icon throws uncaught exception on restore of
    minimized window to its original size.
  * Fix bug 126: http://java.net/jira/browse/FLEXDOCK-126
    Application consumes some CPU time even if doing nothing.
  * Fix but 792: Icons did not show with the look and feel 'Nimbus'
  * ant build shows the Java warnings
* Wed Mar 23 2011 kirill.kirillov@gmail.com
- Added flexdock-0.5.2-adjust-color-settings.patch to match
  default openSUSE gtk theme Sonar
* Wed Sep  1 2010 vincent.lejeune@scilab.org
- Updated to version 0.5.2
* Mon Jul 13 2009 kirill.kirillov@gmail.com
- added flexdock-nojmf.diff and removed demos to avoid dependency
  on restricted formats
- repackaged source file to remove restricted files
* Sat Sep  1 2007 Toni Graffy <toni@links2linux.de> - 0.5.1-0.pm.2
- removed external workingcopies.properties, params are passed via -D to ant
- fixed demo start-script
- fixed 64bit build
* Sun Mar 11 2007 Toni Graffy <toni@links2linux.de> - 0.5.1-0.pm.1
- update to 0.5.1
- jgoodies-looks2 is used now
* Thu Feb  1 2007 Toni Graffy <toni@links2linux.de> - 0.5.0-0.pm.1
- update to 0.5.0
* Sat Apr  9 2005 oc2pus <oc2pus@arcor.de> - 0.4.0-0.oc2pus.2
- build against skinlf-6.2
* Tue Jan 18 2005 oc2pus <oc2pus@arcor.de> - 0.4.0-0.oc2pus.1
- First packaged release 0.4.0
